| GET | /RestApi/captcha |
|---|
import Foundation
import ServiceStack
public class CaptchaRequest : Codable
{
required public init(){}
}
public class CaptchaResponse : Codable
{
public var image:String
public var correctAnswer:String
public var initializationVector:String
public var key:String
public var audio:String
required public init(){}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/captcha HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Image: String,
CorrectAnswer: String,
InitializationVector: String,
Key: String,
Audio: String
}